System.ServiceModel 4.0.0.0 System.ServiceModel.HttpBindingBase

The uses HTTP as the transport for sending SOAP 1.1 messages. A service can use this binding to expose endpoints that conform to WS-I BP 1.1, such as those that ASMX clients access. Similarly, a client can use the to communicate with services exposing endpoints that conform to WS-I BP 1.1, such as ASMX Web services or indigo1 services configured with the .

Security is turned off by default, but can be added setting the to a value other than in the constructor. It uses a "Text" message encoding and UTF-8 text encoding by default.

Represents a binding that a indigo1 service can use to configure and expose endpoints that are able to communicate with ASMX-based Web services and clients and other services that conform to the WS-I Basic Profile 1.1.

- Constructor
  4.0.0.0

  The default value of used is , which specifies that the SOAP message is not secured and the client is not authenticated.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The default value of used is , which specifies that the SOAP message is not secured and the client is not authenticated.

  Initializes a new instance of the class with a specified type of security used by the binding.

  The value of that specifies the type of security that is used with the SOAP message and for the client.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a binding specified by its configuration name.

  The binding configuration name for the .
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection

  The order of the binding elements is important. It reflects the order in which the protocol and transport channels are constructed and stacked. This collection of binding elements is a new collection and can be modified and then used to create a .

  Creates and returns an ordered collection of binding elements contained in the current binding.

  The that contains the ordered stack of binding elements described by the .

- Property
  4.0.0.0
  System.ServiceModel.WSMessageEncoding To be added. To be added.

  Gets or sets whether MTOM or Text is used to encode SOAP messages.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the URI transport scheme for the channels and listeners that are configured with this binding.

- Property
  4.0.0.0
  System.ServiceModel.BasicHttpSecurity To be added.

  By default, the SOAP message is not secured and the client is not authenticated. To use a non-default type of security, use the constructor.

  Gets the type of security used with this binding.